Subject: Re: Bounce back calls today
From: Ashish Dabral <[email-masked]>
To: Deeksha <[email-masked]>
Date: Mon, 14 Feb 2022 05:40:11 -0700 (MST)

Hi Ma'am 

Today we have two agents available 

1. Jay - 8am-5pm (EST) 

2. Hannah - 10pm - 7pm (EST) 

Regards, 
Ashish Dabral 

From: "Deeksha" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]> 
Sent: Monday, February 14, 2022 5:58:11 PM 
Subject: Fwd: Bounce back calls today 

Sent from my iPhone 

Begin forwarded message: 

From: Linda Townsend <[email-masked]> 
Date: 14 February 2022 at 17:55:00 GMT+5:30 
To: Saurabh Dadu <[email-masked]>, Rona Galangi <[email-masked]>, release <[email-masked]> 
Cc: Rebecca Dybala <[email-masked]> 
Subject: Re: Bounce back calls today 

BQ_BEGIN

Good morning, 

I wanted to reach out directly about the recent issues with call center schedules and availability, including what occurred on Saturday. We appreciate all the call center is doing to handle incoming calls. I find very few mistakes in bookings and am receiving fewer complaints about the quality of the calls, which is all good news. However, there have been many times lately that for one reason or another (not following the schedule I provided for number of people needed at specific times, illnesses, trainings, logging out for confirmation calls, etc) that the calls are bouncing back to the Release concierge team. I cannot emphasize enough that we are not staffed to handle this and it impacts our ability to serve our guests adequately. I have also repeatedly asked that if something comes up that impacts the call center schedule, to let us know so we can prepare and attempt to manage the calls. We have not been informed about any of these disruptions, so we have been taken by surprise. 

Going forward, please make sure to follow the schedule below. Training new hires should be handled by someone not on the schedule or outside of this schedule. Confirmation calls should be made during quieter times when there are multiple people working, that way the person managing the calls can ask for help as needed, and confirmation calls can be resumed when the calls quiet down again. If there is an issue that impacts the schedule, inform us so we can prepare. 

The call center is making a huge positive difference to our business, and I really appreciate your hard work and efforts, but the last couple of weeks there have been too many instances of service interruption. I look forward to continuing to work together and prevent future issues. 

With gratitude, 

Linda 

BQ_BEGIN

Sunday 1 person 9am - 5pm 
Monday 2 people 8am - 4pm 1 person 11am - 7pm 
Tuesday 1 person 9am - 5pm 
Wednesday 2 people 8am - 4pm, 1 person 11am - 7pm 

BQ_END

BQ_BEGIN

Thursday 1 person 9am - 5pm, 1 person 1pm to 9pm 
Friday 2 people 8am - 4pm, 1 person 11am - 7pm 

BQ_END

BQ_BEGIN

Saturday 2 people 9am - 5pm 

BQ_END

BQ_END

BQ_BEGIN

BQ_BEGIN

On Feb 12, 2022, at 2:51 PM, Release Concierge < [ mailto:[email-masked] | [email-masked] ] > wrote: 

Thanks again for your help with the confirmation calls. 

We've gotten 4 calls bounced back from the call center today within a couple of hours. 
Do you know why? 

Kris 

On Thu, Feb 10, 2022 at 2:06 PM Saurabh Dadu < [ mailto:[email-masked] | [email-masked] ] > wrote: 

BQ_BEGIN

Hi Kris, 

Thanks for your email. I spoke with Rona. It appears for Tuesdays we only have one rep scheduled to work. Which means if we disconnect them from incoming lines, and put them on outbound lines, they would miss any incoming calls. 

Having said that, we have now explained to the team this must be done everyday including on tuesdays. 

Apologies for the trouble. 

Saurabh Dadu 
LiveSalesman 
India: +91 120 4332621 x 17 
US: 1 240 949 2437 
Cell: +91 9810175203 

From: Release Concierge < [ mailto:[email-masked] | [email-masked] ] > 
Sent: 10 February 2022 10:29 PM 
To: Rona Galangi < [ mailto:[email-masked] | [email-masked] ] >; Saurabh Dadu < [ mailto:[email-masked] | [email-masked] ] >; release < [ mailto:[email-masked] | [email-masked] ] > 
Cc: Linda Townsend < [ mailto:[email-masked] | [email-masked] ] >; Rebecca Dybala < [ mailto:[email-masked] | [email-masked] ] > 
Subject: Confirmation Calls are critical 
Hi team, 
It appears that most confirmation calls were not done for yesterday or today. 
We want to let you know that it is critical that these are done because we've had 2 no-shows over the 2 days. 

Thank you. 

Kris 

BQ_END

BQ_END

BQ_END